/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.NotAuthorizedView");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.team.repository.web.client.session.Session");

var getAuthenticatedUserId  = com.ibm.team.repository.web.client.session.getAuthenticatedUserId;

dojo.declare("com.ibm.team.repository.web.ui.internal.admin.NotAuthorizedView", [dijit._Widget, dijit._Templated], {

	templateString: "<div class=\"com-ibm-team-repository-admin-noAuth\" dojoAttachPoint=\"notAuthArea\"></div>",

	postCreate: function() {
		com.ibm.team.repository.web.ui.internal.admin.NotAuthorizedView.superclass.postCreate.apply(this);
		this.notAuthArea.innerHTML = "The user <strong>" + getAuthenticatedUserId() + "</strong> is not authorized to access the Jazz Team Server Admin UI";
	}
	
});

