/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	// template
	
	'heading': "Connect to Floating License Server",
	'description': "Configure this server to connect to a floating license server.", 
	
	// widget
	'testConnection': "Test Connection", 
	'uriLabel': "URI:",
		
	'loading': "Loading settings...",  
	'disabled': "This server is not configured to connect to a floating license server",
	'testing': "Testing the conection to the license server...",  
	'pendingOk': "The Floating License Server configuration has pending changes.  Press 'Test Connection' to continue.",  
	'pendingErr': "The Floating License Server URI value is invalid.  Please correct the field to continue.", 
	'pendingWarn': "Please verify properties flagged with warnings.  Test the connection to continue.", 
	'connectedOk': "A connection to the license server is established.",
	'connectedNoChange': "A connection to the license server is established.",
	'connectedErr': "A connection to the license server could not be established.  Resolve errors to continue.", 
	'connectedWarn': "A connection to the license server was attempted with warnings.  Resolve warnings to continue.", 
	'saveErr': "An error occurred while saving the configuration properties.",
	'saveSuccess': "Configuration changes saved successfully.",

	'connectionError': "Error fetching connection status."
})